CREATE TABLE ffs_inventory (
    ARCH_DATE                 DATE              NOT NULL,
    INVENTORY_ID              NUMBER(10, 0) ,
    POOL                      VARCHAR2(36)  ,
    RESOURCE_ID               NUMBER(8, 0)  ,
    ACTIVITY_ID               NUMBER(10, 0) ,
    TYPE                      NUMBER(10, 0)     NOT NULL,
    SERIAL_NUMBER             VARCHAR2(2048),
    EXCHANGED_INVENTORY_ID    NUMBER(10, 0) ,
    QUANTITY                  NUMBER            NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    ARCH_DATE                 DATE              NOT NULL,
    INVENTORY_ID              NUMBER(10, 0) ,
    POOL                      VARCHAR2(36)  ,
    RESOURCE_ID               NUMBER(8, 0)  ,
    ACTIVITY_ID               NUMBER(10, 0) ,
    TYPE                      NUMBER(10, 0)     NOT NULL,
    SERIAL_NUMBER             VARCHAR2(2048),
    EXCHANGED_INVENTORY_ID    NUMBER(10, 0) ,
    QUANTITY                  NUMBER            NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_ffs_inventory PRIMARY KEY (INVENTORY_ID, INVENTORY_ID)
);
